Last Comment Bug 354470 - Add missing line for the security pane to the help code in pageinfo dialog
: Add missing line for the security pane to the help code in pageinfo dialog
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Page Info Window (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 3 alpha5
Assigned To: Florian Quèze [:florian] [:flo]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 05:06 PDT by Axel Hecht [:Pike]
Modified: 2007-05-03 23:56 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (803 bytes, patch)
2007-04-24 15:41 PDT, Florian Quèze [:florian] [:flo]
asaf: review+
Details | Diff | Splinter Review

Description Axel Hecht [:Pike] 2006-09-27 05:06:18 PDT
pageinfo.js and xul still try to expose help, likely leftovers from the suite version of it.
But the help pages don't exist, and pressing F1 just errors, as pageinfo.xul doesn't pull contextHelp.js.

We should either make help in page info work again (nah, not really) or just remove the traces, that is, the cmd in pageinfo.xul and doHelpButton in pageinfo.js.
Comment 1 Brian Polidoro 2006-10-05 09:05:27 PDT
This bug, bug 339102, and bug 314211 should probably be coordinated so they are all in agreement.  
Comment 2 Florian Quèze [:florian] [:flo] 2007-04-17 13:15:23 PDT
The help page still doesn't exist but that should be fixed in bug 314221.
Now that bug 339102 is fixed, pageInfo.xul pulls contextHelp.js and doHelpButton is nearly correct.
A line for the security panel is missing in helpTopics though. I will attach a patch here for that if it doesn't get fixed in bug 377076.
Comment 3 Florian Quèze [:florian] [:flo] 2007-04-24 15:41:08 PDT
Created attachment 262694 [details] [diff] [review]
patch

(In reply to comment #2)
> The help page still doesn't exist but that should be fixed in bug 314221.

I meant in bug 314211 of course.
Comment 4 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2007-05-02 16:37:19 PDT
Comment on attachment 262694 [details] [diff] [review]
patch

r=mano
Comment 5 Nickolay_Ponomarev 2007-05-03 23:56:55 PDT
Checking in pageInfo.js;
/cvsroot/mozilla/browser/base/content/pageinfo/pageInfo.js,v  <--  pageInfo.js
new revision: 1.4; previous revision: 1.3
done

resummarized (was: Remove help entry points or hook them up from pageinfo)

Note You need to log in before you can comment on or make changes to this bug.